{% set accountUserType = app.user.getAccountUserType() %}
{% set person = app.user.getPerson() %}

<div class="row g-3 mb-3">
    <div class="col-lg-6">
        <h2 class="mb-3">
            {% if accountUserType.name != 'INTERNAL' and person != null and person.getPersonType().name == 'NATURAL_PERSON' %}
                Nutzer-Konto
            {% else %}
                Persönliche Daten
            {% endif %}
        </h2>
        <div class="mb-3">
            {{ form_row(form.fullName) }}
        </div>
        <div class="mb-3">
            {{ form_row(form.nameAbbreviation) }}
        </div>
        <div class="mb-3">
            {{ form_row(form.phoneNumber) }}
        </div>
        <div class="mb-3">
            {{ form_row(form.email) }}
        </div>
    </div>
    <div class="col-lg-6">
        <h2 class="mb-3">Zugangsdaten</h2>
        <div class="mb-3">
            {{ form_row(form.username) }}
        </div>
        <button class="mdc-button mdc-button--raised mdc-button--icon-leading" id="{{ form.vars.id }}_change_password_button">
            <div class="mdc-card__ripple"></div>
            <i class="material-icons mdc-button__icon d-none d-sm-block" aria-hidden="true">key</i>
            <span class="mdc-button__label">Kennwort ändern</span>
        </button>
        <div class="d-none" id="{{ form.vars.id }}_change_password_container">
            <div class="mb-3">
                {{ form_row(form.currentPassword) }}
            </div>
            <div class="mb-3">
                {{ form_row(form.password.first) }}
            </div>
            <div class="mb-3">
                {{ form_row(form.password.second) }}
            </div>
        </div>
    </div>
</div>

{% if accountUserType.name != 'INTERNAL' %}
    <div class="row g-3 mb-3">
        <div class="col">
            <h2 class="mb-3">
                {% if person.getPersonType().name == 'NATURAL_PERSON' %}
                    Persönliche Daten
                {% else %}
                    Unternehmensdaten
                {% endif %}
            </h2>
            <div class="row g-3 mb-3">
                <div class="col">
                    {% include 'person_management/form/person/person_form.html.twig' with {'form': form.person} only %}
                </div>
            </div>
        </div>
    </div>
{% endif %}
